Subject: Re: [PATCH] update pasky's email address

From: Petr Baudis <[email-masked]>
Date: Thu, 4 Apr 2013 12:32:58 +0200

Hi!

On Thu, Apr 04, 2013 at 01:50:42AM +0000, Eric Wong wrote:
> Mail to [email-masked] is bouncing.

  Oh, I totally forgot to take care of this. Thanks a lot for fixing it!

> Signed-off-by: Eric Wong <[email-masked]>

  In general, Acked-by: Petr Baudis <[email-masked]>

On Thu, Apr 04, 2013 at 07:21:23AM +0000, Eric Wong wrote:
> Junio C Hamano <[email-masked]> wrote:
> > Especially, a change like this:
> > 
> > > index db6eb50..e162ec9 100644
> > > --- a/gitweb/static/js/blame_incremental.js
> > > +++ b/gitweb/static/js/blame_incremental.js
> > > @@ -1,5 +1,5 @@
> > >  // Copyright (C) 2007, Fredrik Kuivinen <[email-masked]>
> > > -//               2007, Petr Baudis <[email-masked]>
> > > +//               2007, Petr Baudis <[email-masked]>
> > 
> > makes me feel very uneasy and feels outright wrong; unless the
> > change by Petr in year 2007 was associated with the ucw.cz address,
> > not his then-current employer, that is.
> 
> I understand your concern.  Perhaps keeping the old address with
> a pointer to the current address?
> 
>              2007, Petr Baudis <[email-masked]> (currently [email-masked])
> 
> I'll wait for Petr's thoughts.

  Frankly, I have no idea how to handle this well; is this the first
time such a change has to happen in Git? Your proposed form seems
formally correct but feels a bit cumbersome to me. :-)

  I think that if SUSE would like the email address to stay in the
original form, the best way to confirm their preference would be to keep
it actually functional.  Maybe Vojtech will have some thoughts on
whether that would be possibe or whether we should keep the address
inact.

  Kind regards,

-- 
				Petr "Pasky" Baudis
	For every complex problem there is an answer that is clear,
	simple, and wrong.  -- H. L. Mencken